Subject: Re: [stable] 2.6.21 known regressions (v2) (for -stable team)

From: Greg KH <[email-masked]>
Date: Sat, 28 Apr 2007 11:19:33 -0700

On Sat, Apr 28, 2007 at 12:52:19PM -0400, Gene Heskett wrote:
> On Saturday 28 April 2007, Michal Piotrowski wrote:
> >Hi all,
> >
> >Here is a list of known regressions reported after 2.6.21 release.
> >
> >Feel free to add new regressions/remove fixed etc.
> >http://kernelnewbies.org/known_regressions
> >
> I went here, but without a login the page is immutable
> 
> Therefore I'll add it here
> 
> Subject		:proprietary belkin upsd turns into cpu hog
> Submitter	:[email-masked]
> Reference	:something changed in how /dev/ttyUSB's handle 1 and 2 byte messages 
> from pl2303 usb<->serial adaptors.

Last time this came up, I asked you to enable debugging in the driver to
see the data flow through it and find out if it really is the driver at
fault here.

Did you do this?  Did anything happen that was "odd"?

Can you do a 'git bisect' of Linus's tree to try to track down the
issue?

> Also, assignation of ttyUSB#'s is volatile depending on phase of the
> moon when booted.

That's always been the case, ever since the 2.2 kernel releases.  Please
use udev if you want persistent device names for your tty USB devices.

thanks,

greg k-h